6.0.0-git
2019-09-15

[#4] Preference update notification in IMP
Summary Preference update notification in IMP
Queue Horde Framework Packages
Type Bug
State Resolved
Priority 2. Medium
Owners
Requester slusarz (at) bigworm (dot) colorado (dot) edu
Created 2004-03-11 (5666 days ago)
Due
Updated 2017-10-25 (690 days ago)
Assigned
Resolved 2004-03-20 (5657 days ago)
Milestone
Patch No

History
2017-10-25 08:25:47 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit 56d82c6574bfa544f9fd0515d312eaeb442e632a
Author: Michael Cramer <michael@bigmichi1.de>
Date:   Sun, 22 Oct 2017 14:30:10 +0200

  TypeError: Argument 2 passed to Horde_Db_Adapter_Base::_replaceParameters()

when we do a automatic face detection whit libpuzzle enabled we got an 
error about wrong argument type

2017-10-22T12:17:22+00:00 EMERG: HORDE [ansel] TypeError: Argument 2 
passed to Horde_Db_Adapter_Base::_replaceParameters() must be of the 
type array, integer given, called in 
/usr/share/php/Horde/Db/Adapter/Pdo/Base.php on line 364 and d
efined in /usr/share/php/Horde/Db/Adapter/Base.php:784
Stack trace:
#0 /usr/share/php/Horde/Db/Adapter/Pdo/Base.php(364): 
Horde_Db_Adapter_Base->_replaceParameters('face_id = ?', 5)
#1 /srv/www/docs/ansel/lib/Faces/Base.php(655): 
Horde_Db_Adapter_Pdo_Base->updateBlob('ansel_faces', Array, Array)
#2 /srv/www/docs/ansel/lib/Faces/Base.php(554): 
Ansel_Faces_Base->saveSignature(4947, 5)
#3 /srv/www/docs/ansel/lib/Ajax/Imple/EditFaces.php(50): 
Ansel_Faces_Base->getFromPicture(Object(Ansel_Image), true)
#4 /usr/share/php/Horde/Core/Ajax/Imple.php(120): 
Ansel_Ajax_Imple_EditFaces->_handle(Object(Horde_Variables))
#5 /usr/share/php/Horde/Core/Ajax/Application/Handler/Imple.php(31): 
Horde_Core_Ajax_Imple->handle(Object(Horde_Variables))
#6 /usr/share/php/Horde/Core/Ajax/Application.php(175): 
Horde_Core_Ajax_Application_Handler_Imple->imple()
#7 /srv/www/docs/services/ajax.php(61): 
Horde_Core_Ajax_Application->doAction()
#8 {main} [pid 13479 on line 74 of "/usr/share/php/Horde/ErrorHandler.php"]

  M lib/Faces/Base.php

https://github.com/horde/ansel/commit/56d82c6574bfa544f9fd0515d312eaeb442e632a
2004-03-20 22:57:34 Jan Schneider Comment #2
State ⇒ Resolved
Reply to this comment
Fixed in CVS.
2004-03-11 20:07:05 slusarz (at) bigworm (dot) colorado (dot) edu Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Reply to this comment
When updating preferences in IMP, any notification messages are not 
immediately displayed until the user leaves the preferences page.   
This is because IMP displays notifications in IMP::status(), which is 
not called by prefs.php (it lives in the horde directory and has no 
idea what goes on in IMP).



Mainly, though, just wanted to test whups out and see how it works :)

Saved Queries